SolrQuery::getFacetDateEnd
SolrQuery::getFacetDateGap
SolrQuery
PHP Manual

# SolrQuery::getFacetDateFields

(PECL solr >= 0.9.2)

SolrQuery::getFacetDateFields — Returns all the facet.date fields

### Description

public array SolrQuery::getFacetDateFields ( void )

Returns all the facet.date fields

### Parameters

This function has no parameters.

### Return Values

Returns all the facet.date fields as an array or `NULL` if none was set

SolrQuery::getFacetDateEnd
SolrQuery::getFacetDateGap
SolrQuery
PHP Manual